This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 117139 - system-config-display doesn't show resolutions from DDC info
system-config-display doesn't show resolutions from DDC info
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-29 04:20 EST by Ronny Buchmann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 14:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ronny Buchmann 2004-02-29 04:20:52 EST
Description of problem:
There are today some DFPs with uncommon resolution (i.e. 16/9
displays), but system-config-display only shows the standard resolutions.

If they provide proper DDC information, the list of resolutions should
come from this DDC info.

The default resolution should be the native panel mode.

Version-Release number of selected component (if applicable):
1.0.8-1

Example DDC information from my display:
(II) RADEON(0): DDC Type: 4, Detected Type: 0
(II) RADEON(0): Displays Detected: Monitor1--Type 3, Monitor2--Type 0
                                                                     
          
(II) RADEON(0): Monitor1 EDID data ---------------------------
(II) RADEON(0): Manufacturer: MED  Model: 682b  Serial#: 0
(II) RADEON(0): Year: 2003  Week: 49
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 64  vert.: 39
(II) RADEON(0): Gamma: 2.25
(II) RADEON(0): DPMS capabilities: Off; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.644 redY: 0.331   greenX: 0.270 greenY: 0.604
(II) RADEON(0): blueX: 0.142 blueY: 0.074   whiteX: 0.285 whiteY: 0.293
(II) RADEON(0): Supported VESA Video Modes:
(II) RADEON(0): 720x400@70Hz
(II) RADEON(0): 640x480@60Hz
(II) RADEON(0): 640x480@67Hz
(II) RADEON(0): 640x480@72Hz
(II) RADEON(0): 640x480@75Hz
(II) RADEON(0): 800x600@60Hz
(II) RADEON(0): 800x600@72Hz
(II) RADEON(0): 800x600@75Hz
(II) RADEON(0): 832x624@75Hz
(II) RADEON(0): 1024x768@60Hz
(II) RADEON(0): 1024x768@70Hz
(II) RADEON(0): 1024x768@75Hz
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported Future Video Modes:
(II) RADEON(0): #0: hsize: 640  vsize 480  refresh: 60  vid: 16433
(II) RADEON(0): #1: hsize: 640  vsize 480  refresh: 75  vid: 20273
(II) RADEON(0): #2: hsize: 800  vsize 600  refresh: 75  vid: 20293
(II) RADEON(0): #3: hsize: 1024  vsize 768  refresh: 75  vid: 20321
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 80.1 MHz   Image Size:  640 x 390 mm
(II) RADEON(0): h_active: 1280  h_sync: 1344  h_sync_end 1480
h_blank_end 1680 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 769  v_sync_end 772 v_blanking:
795 v_border: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 31.5 MHz   Image Size:  640 x 390 mm
(II) RADEON(0): h_active: 848  h_sync: 864  h_sync_end 952 h_blank_end
1056 h_border: 0
(II) RADEON(0): v_active: 480  v_sync: 481  v_sync_end 484 v_blanking:
497 v_border: 0
(II) RADEON(0): Monitor name: MD40830
(II) RADEON(0): Ranges: V min: 56  V max: 90 Hz, H min: 30  H max: 80
kHz, PixClock max 110 MHz
(II) RADEON(0): End of Monitor1 EDID data --------------------
(II) RADEON(0):
(II) RADEON(0): Primary Display == Type 3
(II) RADEON(0): PLL parameters: rf=2700 rd=12 min=20000 max=40000;
xclk=20000
(==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
(II) RADEON(0): Validating modes on Primary head ---------
(II) RADEON(0): Panel size found from DDC: 1280x768
Comment 1 Brent Fox 2004-03-01 14:45:27 EST
I don't think I'll get to this for FC2.  Deferring.

Note You need to log in before you can comment on or make changes to this bug.